import React from 'react'
import DevTools from './DevTools';
import GenreList from './GenreList';
import { Observable } from 'rxjs';
import { container } from 'reaxtor-redux';

function App({ genrelist } = {}) {
    return (
        <div className='genre-app'>{genrelist ?
            <GenreList data={genrelist}/>
            : null}
            <DevTools/>
        </div>
    );
}

function renderLoading(props) {
    return (
        <div className='genre-app'>
            <span>Loading Netflix...</span>
        </div>
    );
}

function mapStateToFragment({ genrelist } = {}) {
    return `{
        genrelist: ${
            GenreList.fragment(genrelist)
        }
    }`;
}

export default container(
    mapStateToFragment
)(App);
